Package org.eclipse.pde.ui.launcher

## Class EquinoxPluginsTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.pde.ui.launcher.AbstractLauncherTab
    - - org.eclipse.pde.ui.launcher.BundlesTab
      - - org.eclipse.pde.ui.launcher.EquinoxPluginsTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider`, `ILaunchConfigurationTab`, `ILaunchConfigurationTab2`

    @Deprecated
    public class EquinoxPluginsTab
    extends BundlesTab

Deprecated.
use `BundlesTab`
A launch configuration tab that lets the user customize the list of plug-ins to launch with, their start level and their auto-start attributes.

This class may be instantiated. This class is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This method is planned for removal. See bug 564563 for details.

### Constructor Summary

Constructors
`EquinoxPluginsTab()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getDefaultStartLevel()` Deprecated. Returns the default start level for the launch configuration

### Methods inherited from class org.eclipse.pde.ui.launcher.BundlesTab

`activated, createControl, dispose, getId, getImage, getName, initializeFrom, performApply, setDefaults, validateTab`

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab

`createStartingSpace, deactivated, isValid, scheduleUpdateJob, updateLaunchConfigurationDialog`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### EquinoxPluginsTab

    public EquinoxPluginsTab()

Deprecated.

### Method Detail

#### getDefaultStartLevel

    public int getDefaultStartLevel()

Deprecated.
Returns the default start level for the launch configuration

Returns:
  the default start level